Skip to main content
GET
/
api
/
v1
/
studies
Get Studies
curl --request GET \
  --url https://api.getversive.com/api/v1/studies \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "study_123",
    "title": "My Study",
    "metadata": {},
    "type": "VERSIVE_STUDY",
    "mode": "TEXT_AND_VOICE",
    "created_at": "2024-01-01T00:00:00Z",
    "description": "A study about preferences.",
    "config": {
      "interviewName": "Interviewer",
      "primaryColor": "#0E9489"
    },
    "welcome_message": {
      "title": "Welcome",
      "body": "Thanks for participating."
    },
    "thank_you_message": {
      "title": "Thank You",
      "body": "Goodbye."
    },
    "screen_out_message": {
      "title": "Screened Out",
      "body": "Sorry."
    }
  }
]
Retrieve a list of all studies associated with your organization. This endpoint supports pagination and filtering.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response